Personal tools
You are here: Home Forum Install & build Salome 3.2.6 GUI startup error on Gentoo

Salome 3.2.6 GUI startup error on Gentoo

Up to Install & build
  • Salome 3.2.6 GUI startup error on Gentoo

    Posted by Daniell Malsch at October 19. 2007
    Hi, thanks to all the helpful forum messages and some other changes, I quite easily managed to compile Salome 3.2.6 from scratch on my Gentoo box.
    But when I try to run Salome I get the following error message:
    Can not load application library "libSalomeApp.so":/opt/salome3.2.6/GUI_3.2.6/lib/salome/libSVTK.so.0: undefined symbol: _ZN9vtkObject10UnRegisterEP13vtkObjectBase
    I have already recompiled VTK with the same settings I used for Salome, but this didn't work.
    When installing the Salome binaries from the Debian package, this installation gives me the same error message.
    Can anyone give me a hint what causes this error? I suspect there is a dependency which is compiled with the wrong version of gcc. I used gcc 3.4.6 for Salome, but I also have 4.1.2 on my system.

Powered by Ploneboard
Document Actions